* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  
  .menu-btn {
    left: 90%;
    width: 30px;
    height: 30px;
    position: relative;
    z-index: 2;
    overflow: hidden;
  }
  .menu-btn span {
    width: 30px;
    height: 2px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--text-color-light);
    transition: all 0.5s;
  }
  .menu-btn span:nth-of-type(2) {
    top: calc(50% - 5px);
  }
  .menu-btn span:nth-of-type(3) {
    top: calc(50% + 5px);
  }
  
  .menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 15px;
    background: rgb(50, 48, 48);
    transform: translateX(-100%);
    transition: transform 0.5s;
  }
  .menu.active {
    transform: translateX(0);
  }
  .menu li {
    list-style-type: none;
  }
  
  .menu-btn.active span:nth-of-type(1) {
    display: none;
  }
  .menu-btn.active span:nth-of-type(2) {
    top: 50%;
    transform: translate(-50%, 0%) rotate(45deg);
  }
  .menu-btn.active span:nth-of-type(3) {
    top: 50%;
    transform: translate(-50%, 0%) rotate(-45deg);
  }
  
  html {
    scroll-behavior: smooth;
  }
  body {
    display: flex;
    position: relative;
  }
  .name-wrap-aside {
    text-align: center;
  }
  
  aside {
    color: whitesmoke;
    position: fixed;
    width: 30%;
    display: flex;
    flex-direction: column;
    background-color: var(--background-grey);
    height: 100%;
  }
  .adapt {
    display: none;
  }
  
  :root {
    --main-text-color: #866d06;
    --main-color-light: #a58812;
    --background-dark: rgb(23, 21, 21);
    --background-grey: rgb(48, 46, 46);
    --background-midi-grey: #797979;
    --background-light-grey: #797979;
    --text-color: #1a1a1a;
    --text-color-light: #d9d7d7;
  }
  
  .container {
    max-width: 1440px;
    margin: 0 auto;
  }
  
  .nav-list-brg {
    display: flex;
    flex-direction: column;
    padding: 20px;
    gap: 30px;
  }
  
  .header {
    display: none;
    position: fixed;
    width: 100%;
    z-index: 1;
    height: 55px;
  }
  
  .nav-list {
    height: 55px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    list-style: none;
    margin: 0;
  }
  
  .nav-item {
    padding-right: 20px;
  }
  .nav-list-aside {
    margin-top: 30px;
    width: 100%;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    font-size: 20px;
  }
  
  .nav-link {
    text-decoration: none;
    color: var(--main-text-color);
    display: inline-block;
    transform: scale(1, 1);
    transition: all 0.3s;
  }
  
  .nav-item a:hover {
    transform: scale(1.2, 1.2);
    color: var(--main-color-light);
  }
  
  .fa-bars {
    display: none;
  }
  
  .main {
    width: 70%;
    margin-left: 30%;
    background-color: var(--background-light-grey);
  }
  
  .main-columns {
    display: flex;
    flex-wrap: wrap;
  }
  
  .wrap-left {
    width: 100%;
    color: var(--text-color-light);
  }
  
  .wrap-dark {
    background-color: var(--background-grey);
  }
  
  .wrap-right {
    width: 100%;
  }
  
  .foto-block {
    border-radius: 50%;
    width: 280px;
    height: 280px;
    margin: 55px auto 20px auto;
    padding: 3px;
    position: relative;
  }
  
  .foto {
    width: 286px;
    height: 209px;
    border-radius: 50%;
    position: relative;
    border: 1px solid;
}
  .circle {
    width: 30px;
    height: 30px;
    background: #ffeb3bad;
    border-radius: 50%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: hidden;
    margin: auto;
    animation: circle 8s linear infinite;
  }
  
  @keyframes circle {
    0% {
      transform: rotate(0deg) translate(-145px) rotate(0deg);
    }
    100% {
      transform: rotate(360deg) translate(-145px) rotate(-360deg);
    }
  }
  
  .name {
    font-family: "Lobster Two", cursive;
    border-bottom: 1.5px solid #e3e3e3;
    padding-top: 100px;
    padding-bottom: 25px;
    padding-left: 18%;
    font-size: 50px;
    color: var(--main-text-color);
  }
  
  .profession {
    font-weight: 400;
    color: var(--text-color);
    padding-top: 6px;
    padding-left: 35%;
  }
  
  .section {
    padding: 30px;
    margin: 0 auto;
    width: fit-content;
  }
  .white {
    color: white;
    border: 3px solid white;
  }
  .black {
    color: #1a1a1a;
    border: 3px solid black;
  }
  .subtitle {
    width: fit-content;
    padding: 3px 17px;
    border-radius: 10px;
    margin-bottom: 26px;
    margin-top: 12px;
  }
  
  .subtitle-left-block {
    margin-left: auto;
    margin-right: auto;
  }
  
  .section-right-block {
    width: 100%;
    padding-left: 40px;
  }
  
  .list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }
  
  .contact-link {
    text-decoration: none;
    color: var(--text-color-light);
    transition: color 0.3s;
  }
  
  .contact-link:hover {
    color: var(--main-color-light);
  }
  
  .contact-item {
    line-height: 28px;
  }
  
  .contact-icon {
    color: var(--main-text-color);
    display: inline-block;
    width: 28px;
    text-align: center;
    padding-right: 12px;
  }
  
  .wrap-midi-dark {
    background-color: var(--background-midi-grey);
    color: var(--text-color-light);
  }
  
  .text {
    text-align: justify;
  }
  
  .skills-item {
    margin: 25px;
    line-height: 20px;
    
  }
  
  .skill-scope {
    display: flex;
    align-items: center;
  }
  
  .code {
    font-size: 14px;
    color: var(--text-color-light);
  }
  
  .education-list {
    margin-left: 14px;
  }
  
  .education-item {
    margin-bottom: 9px;
  }
  
  .fa-magnifying-glass {
    font-size: 12px;
  }
  
  .projects-container {
    margin-left: -30px;
    display: flex;
    flex-wrap: wrap;
    gap: 18px;
    justify-content: space-evenly;
  }
  
  .project {
    width: 260px;
    text-align: center;
  }
  
  .project-wrap {
    width: 260px;
    height: 170px;
    margin-bottom: 4px;
    background-position: center;
    background-size: cover;
    border-radius: 10px;
  }
  
  .project-momentum {
    background-image: url(./assets/momentum.png);
  }
  
  .project-zoo {
    background-image: url(./assets/online-zoo.png);
    background-size: cover;
  }
  
  .project-store {
    background-image: url(./assets/online-store.png);
  }
  
  .project-songbird {
    background-image: url(./assets/song-bird.png);
  }
  
  .project-puzzle {
    background-image: url(./assets/gem-pazle.png);
  }
  .img-skills{
    width: 60px;
  }
  
  .project-link {
    display: block;
    width: 260px;
    height: 0;
    overflow: hidden;
    border-radius: 10px;
    text-decoration: none;
    background-color: #808080e6;
    text-align: center;
    color: var(--text-color-light);
    transition: all 0.3s;
  }
  
  .project-wrap:hover .project-link {
    height: 170px;
  }
  
  .footer {
    display: none;
    background-color: var(--background-dark);
  }
  
  .footer-wrap {
    height: 55px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--text-color-light);
    padding: 0 4%;
  }
  
  .year {
    padding-right: 20px;
  }
  
  .rss-icon {
    height: 30px;
    fill: var(--text-color-light);
    transition: fill 0.3s;
  }
  
  .rss-icon:hover {
    fill: var(--main-color-light);
  }
  
  @media (max-width: 1000px) {
    .list {
      display: block;
    }
    aside {
      display: none;
    }
    .adapt {
      display: block;
    }
    .main {
      margin: 0 auto;
      width: 100%;
    }
    .header {
      display: block;
    }
    .footer {
      display: block;
    }
    body {
      display: block;
    }
  }
  @media (max-width: 690px) {
    .nav-bar {
      color: var(--main-text-color);
      position: absolute;
      right: 25px;
      top: 20px;
      font-size: 21px;
      transition: color 0.3s;
    }
  
    .nav-bar:hover {
      transform: scale(1.2, 1.2);
      cursor: pointer;
    }
  
    .nav-bar:active {
      color: rgb(238, 47, 40);
    }
  
    .nav-list {
      flex-direction: column;
      position: absolute;
      top: 55px;
      right: 0;
      width: 0;
      overflow: hidden;
      background-color: var(--background-dark);
      height: 230px;
      justify-content: space-around;
      align-items: end;
      transition: all 1s ease;
    }
  
    .nav-list-show {
      width: 170px;
      padding: 10px;
      border: 2px solid var(--main-color-light);
      box-shadow: 0px 5px 10px 2px rgba(27, 26, 27, 0.6);
    }
  
    .main-columns {
      flex-direction: column;
    }
  
    .wrap-left,
    .wrap-right {
      width: 100%;
    }
  
    .foto-block {
      margin-bottom: 20px;
    }
  
    .name {
      padding-top: 24px;
      font-size: 34px;
      padding-bottom: 5px;
      font-family: ui-monospace;
    }
  
    .profession {
      color: #d9d7d7;
      font-size: 23px;
      padding-left: 25%;
      padding-bottom: 40px;
    }
  
    .section-right-block {
      padding-left: 30px;
    }
  
    .subtitle {
      margin-left: auto;
      margin-right: auto;
    }
  
    .section-code {
      padding-right: 0;
      padding-left: 0;
    }
  
    .projects-container {
      margin-left: 0;
    }
  }
  
  .progressbar {
    height: 32px;
    position: relative;
    background: #555;
    padding: 3px;
    box-shadow: inset 0 -1px 1px rgba(255, 255, 255, 0.3);
  }
  
  .progressbar > span {
    color: #1a1a1a;
    display: block;
    height: 100%;
    background-color: rgb(43, 194, 83);
    background-image: linear-gradient(
      center bottom,
      rgb(43, 194, 83) 37%,
      rgb(84, 240, 84) 69%
    );
    box-shadow: inset 0 2px 9px rgba(255, 255, 255, 0.3),
      inset 0 -2px 6px rgba(0, 0, 0, 0.4);
    position: relative;
    overflow: hidden;
    padding: 3px;
  }
  
  